
Base Distribution - Task # 40761

Story # 40628 (Closed): As any user, I need a Content Module based on semantic technologies (IKS)

Status: Closed Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-09-08 Assigned To: Rens Admiraal
Updated: 2012-10-04 Due date:
Subject: re-implement overlay for non-inline editable elements
Description

Associated revisions
Revision 6d7a92cf - 2012-09-18 11:18 - Rens Admiraal

[FEATURE] Add content element overlay for not inline editables

This change re-introduces the content element overlay over elements
which are not inline editable. For now only elements which have no
inline editable property at all are overlayed.
The overlay is added before the contentelement-handle-bar, which
causes the handle-bar to be still clickable.

On single click the overlay tries to fire the click event on possible
elements with the class t3-primary-editor-action. If this element is
an Ember view and has a toggle() method it will also call that method.
This makes sure that for example the 'HTML Editor' toggle button will
be toggled.

Change-Id: I36434b54f02a2b4d40bd3aebf1860a18dfef313f
Resolves: #40761

History
#1 - 2012-09-13 08:48 - Sebastian Kurfuerst
- Assigned To set to Rens Admiraal

#2 - 2012-09-13 12:16 - Rens Admiraal
- Status changed from New to Accepted

#3 - 2012-09-13 17:47 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14583

#4 - 2012-09-13 21:03 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14583

#5 - 2012-09-13 21:06 - Rens Admiraal
- Status changed from Accepted to Under Review

#6 - 2012-09-18 11:18 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14583

#7 - 2012-09-18 11:35 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6d7a92cf048a65af8b0570b4e838bf7e23838257.

#8 - 2012-10-04 13:55 - Markus Goldbeck
- Status changed from Resolved to Closed
- Estimated time set to 0.00
- Remaining (hours) set to 0.0
